Πρόβλημα με το ffmpeg, μετατροπή βίντεο σε ήχο  Το θέμα επιλύθηκε

...κάρτες ήχου / προβλήματα ήχου
Κανόνες Δ. Συζήτησης
Έχετε κάποιο πρόβλημα με την κάρτα ήχου; Θέλετε βοήθεια; Τότε ακολουθήστε τα παρακάτω βήματα για να εξαχθούν
τεχνικές πληροφορίες από την κάρτα ήχου που έχετε, ώστε να μπορέσουμε να βοηθήσουμε!
viewtopic.php?f=9&t=7242

Πρόβλημα με το ffmpeg, μετατροπή βίντεο σε ήχο  Το θέμα επιλύθηκε

Δημοσίευσηαπό pc_magas » 08 Οκτ 2010, 17:02

Παιδία με το ffmpeg πίγα να κάνω ένα βίντεο σε mp3 αλλά μόλις το έκανα μου εμφανίστικε αυτό:
Κώδικας: Επιλογή όλων
[spoiler]pcmagas@pcmagas-netbook:~/Convert$ ffmpeg -i "FlashXXluK4VT.flv" -ar 44100 -ac 2 -ab 120kb/s -acodec libmp3lame0 -f mp3 "GunsN'RosesWelcomeToTheJungle.mp3"
FFmpeg version 0.6-4:0.6-2ubuntu3~lucid0, Copyright (c) 2000-2010 the FFmpeg developers
  built on Oct  4 2010 10:47:23 with gcc 4.4.3
  configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --enable-shared --disable-static
  WARNING: library configuration mismatch
  libavutil   configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavcodec  configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavformat configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavdevice configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavfilter configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libswscale  configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libpostproc configuration: --extra-version='4:0.6-2ubuntu3~lucid0' --prefix=/usr --enable-avfilter --enable-avfilter-lavf --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-vaapi --enable-pthreads --enable-zlib --enable-libvpx --disable-stripping --enable-runtime-cpudetect --enable-GPL --enable-postproc --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/i686/cmov --cpu=i686 --enable-shared --disable-static --disable-ffmpeg --disable-ffplay
  libavutil     50.15. 1 / 50.15. 1
  libavcodec    52.72. 2 / 52.72. 2
  libavformat   52.64. 2 / 52.64. 2
  libavdevice   52. 2. 0 / 52. 2. 0
  libavfilter    1.19. 0 /  1.19. 0
  libswscale     0.11. 0 /  0.11. 0
  libpostproc   51. 2. 0 / 51. 2. 0
[flv @ 0x8ca7420]Estimating duration from bitrate, this may be inaccurate

Seems stream 0 codec frame rate differs from container frame rate: 60.00 (60/1) -> 29.97 (30000/1001)
Input #0, flv, from 'FlashXXluK4VT.flv':
  Metadata:
    duration        : 275
    starttime       : 0
    totalduration   : 275
    width           : 480
    height          : 360
    videodatarate   : 688
    audiodatarate   : 121
    totaldatarate   : 816
    framerate       : 30
    bytelength      : 28065042
    canseekontime   : true
    sourcedata      : BADC20665HH1286543326857312
    purl            :
    pmsg            :
  Duration: 00:04:34.66, start: 0.000000, bitrate: 827 kb/s
    Stream #0.0: Video: h264, yuv420p, 480x360 [PAR 1:1 DAR 4:3], 704 kb/s, 29.97 tbr, 1k tbn, 60 tbc
    Stream #0.1: Audio: aac, 44100 Hz, stereo, s16, 123 kb/s
Unknown encoder 'libmp3lame0'
pcmagas@pcmagas-netbook:~/Convert$ ffmpeg -i "FlashXXluK4VT.flv" -ar 44100 -ac 2 -ab 120kb/s -acodec libmp3lame0 -f mp3 "GunsN'RosesWelcomeToTheJungle.mp3"
[/spoiler]

Ειδικά αυτό:
Unknown encoder 'libmp3lame0'

Πως θα το διορθώσω?
My blog|Κυπριακή Κοινότητα Ελευθέρου Λογισμικού Λογισμικού ανοικτού Κώδικα
Γνώσεις Linux:Ποτέ αρκετές|Προγραμματισμός: Php, javascript, nodejs, python, bash |Aγγλικά:Καλά
Οι υπολογιστές μου:
Spoiler: show
Ubuntu 16.04 64 bit σεIntel(R) Pentium(R) CPU G4400 @ 3.30GHz, 16Gib Ram, 500Gib Hard Disk, και κάρτα γραφικών Nvidia Geforce GT610
Lubuntu 14.04 σε Dell Inspiron mini 10(1010) intel Atom Z500 1Gb ram και gma500 (εδώθη σε άλλον)
Kubuntu 16.04 Lenovo G70 Intel i5 Nvidia Grapgics Card, Intel Graphics card (έχει 2) με Nouveau, 16Gb RAM, 126GB SSD Σκληρό Δίσκο
Άβαταρ μέλους
pc_magas
powerTUX
powerTUX
 
Δημοσιεύσεις: 2593
Εγγραφή: 12 Απρ 2009, 18:55
Τοποθεσία: Αχαρναί Αττικής
Launchpad: pc_magas
IRC: pc_magas
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό medigeek » 08 Οκτ 2010, 17:51

Εγκατέστησε τα πακέτα:
- winff
- ubuntu-restricted-extras

Ανοιγεις το WinFF: Applications > Sound & Video > WinFF
Convert to -> Audio
Κύπριος; Κόπιασε στο ubuntu-cy! ┃ Launchpad Debian Github
Οδηγός για νεοεισερχόμενους -- Αρχικές οδηγίες για αρχάριους χρήστες του Ubuntu

1 Γνώσεις Linux: Πολύ καλό ┃ Προγραμματισμού: Πολύ καλό ┃ Αγγλικών: Πολύ καλό
2 Ubuntu 12.10 quantal 3.5.0-21-generic 64bit (en_US.UTF-8, GNOME cinnamon2d), Ubuntu 3.5.0-19-generic, Windows 7
3 Intel Core2 Duo CPU E6550 2.33GHz ‖ RAM 5970 MiB ‖ MSI MS-7235
4 nVidia G73 [GeForce 7300 GT] [10de:0393] {nvidia}
5 eth0: Realtek RTL-8110SC/8169SC Gigabit Ethernet [10ec:8167] (rev 10)
Άβαταρ μέλους
medigeek
Freedom
Freedom
 
Δημοσιεύσεις: 5023
Εγγραφή: 24 Μάιος 2008, 14:49
Τοποθεσία: Σερβία/Κύπρος
Launchpad: medigeek
IRC: savvas
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό malos » 08 Οκτ 2010, 19:34

Υπάρχει και το soundkonverter αν θες να το δεις.

Αλλά εμένα μου αρέσει και ένα τρόπος με τον mplayer ...!
Κοίτα άμα θες viewtopic.php?f=24&t=13999#p138628
Δεν θέλω να πω τι μηχανήματα έχω. Είναι προσωπικά δεδομένα ΕΝΤΑΞΕΙ ; !!!
Άβαταρ μέλους
malos
daemonTUX
daemonTUX
 
Δημοσιεύσεις: 1128
Εγγραφή: 02 Νοέμ 2008, 12:00
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό the_eye » 09 Οκτ 2010, 02:01

ή κάνε το μετατροπή σε ogg που είναι open format.
Όσο λιγότερο κλειστό λογισμικό έχεις, τόσα λιγότερα προβλήματα.
1 Γνώσεις ⇛ Linux: Καλό ┃ Προγραμματισμός: Ναι PHP, MySQL ┃ Αγγλικά: Καλά
2 Ubuntu 18.04 bionic 4.15.0-42-generic 64bit (el_GR.UTF-8, GNOME-Flashback:Unity gnome-flashback-compiz)
3 Intel Core i3-6100 CPU @ 3.70GHz ‖ RAM 3832 MiB ‖ Gigabyte B150M-HD3 DDR3-CF
4 Intel Sky Lake Integrated Graphics [8086:1912] {i915_bpo}
5 enp1s0: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15)
Οδηγοί Ubuntu Βίντεο Οδηγοί
Άβαταρ μέλους
the_eye
Διαχειριστής
Διαχειριστής
 
Δημοσιεύσεις: 11455
Εγγραφή: 16 Μαρ 2010, 17:19
Launchpad: ntoulasd
IRC: the_eye_
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό pc_magas » 10 Οκτ 2010, 21:02

@medigeek
Έχω τους codecs για mp3
@the_eye
To μπ3 player όπου έχω δεν ιποστιρίζει ogg
Και παλία το ffmpeg λειτουργούσε μέχρι όπου έκανα update και μου σβήστικε έτσι έπρεπε να το ξαναεγκαταστήσω....
ΚΑι από τότε έχω ποβλημα με την libmp3lame γιαιτί δεν λειτουργούν ούτε αυτά που προτείνατε...
My blog|Κυπριακή Κοινότητα Ελευθέρου Λογισμικού Λογισμικού ανοικτού Κώδικα
Γνώσεις Linux:Ποτέ αρκετές|Προγραμματισμός: Php, javascript, nodejs, python, bash |Aγγλικά:Καλά
Οι υπολογιστές μου:
Spoiler: show
Ubuntu 16.04 64 bit σεIntel(R) Pentium(R) CPU G4400 @ 3.30GHz, 16Gib Ram, 500Gib Hard Disk, και κάρτα γραφικών Nvidia Geforce GT610
Lubuntu 14.04 σε Dell Inspiron mini 10(1010) intel Atom Z500 1Gb ram και gma500 (εδώθη σε άλλον)
Kubuntu 16.04 Lenovo G70 Intel i5 Nvidia Grapgics Card, Intel Graphics card (έχει 2) με Nouveau, 16Gb RAM, 126GB SSD Σκληρό Δίσκο
Άβαταρ μέλους
pc_magas
powerTUX
powerTUX
 
Δημοσιεύσεις: 2593
Εγγραφή: 12 Απρ 2009, 18:55
Τοποθεσία: Αχαρναί Αττικής
Launchpad: pc_magas
IRC: pc_magas
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό medigeek » 10 Οκτ 2010, 21:14

pc_magas έγραψε:@medigeek
Έχω τους codecs για mp3


Δώσε το output της εντολής:
Κώδικας: Επιλογή όλων
apt-cache policy libmp3lame0 ffmpeg


Κάτι μου λέει ότι έχεις ppa με το ffmpeg. :)
Κύπριος; Κόπιασε στο ubuntu-cy! ┃ Launchpad Debian Github
Οδηγός για νεοεισερχόμενους -- Αρχικές οδηγίες για αρχάριους χρήστες του Ubuntu

1 Γνώσεις Linux: Πολύ καλό ┃ Προγραμματισμού: Πολύ καλό ┃ Αγγλικών: Πολύ καλό
2 Ubuntu 12.10 quantal 3.5.0-21-generic 64bit (en_US.UTF-8, GNOME cinnamon2d), Ubuntu 3.5.0-19-generic, Windows 7
3 Intel Core2 Duo CPU E6550 2.33GHz ‖ RAM 5970 MiB ‖ MSI MS-7235
4 nVidia G73 [GeForce 7300 GT] [10de:0393] {nvidia}
5 eth0: Realtek RTL-8110SC/8169SC Gigabit Ethernet [10ec:8167] (rev 10)
Άβαταρ μέλους
medigeek
Freedom
Freedom
 
Δημοσιεύσεις: 5023
Εγγραφή: 24 Μάιος 2008, 14:49
Τοποθεσία: Σερβία/Κύπρος
Launchpad: medigeek
IRC: savvas
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό pc_magas » 10 Οκτ 2010, 21:22

@medigeek
Κώδικας: Επιλογή όλων
pcmagas@pcmagas-netbook:~$     apt-cache policy libmp3lame0 ffmpeg
libmp3lame0:
  Εγκατεστημένα: 3.98.2+debian-0ubuntu3
  Υποψήφιο: 3.98.2+debian-0ubuntu3
  Πίνακας Έκδοσης:
*** 3.98.2+debian-0ubuntu3 0
        500 http://gr.archive.ubuntu.com/ubuntu/ lucid/multiverse Packages
        100 /var/lib/dpkg/status
ffmpeg:
  Εγκατεστημένα: 4:0.6-2ubuntu3~lucid0
  Υποψήφιο: 4:0.6-2ubuntu3~lucid0
  Πίνακας Έκδοσης:
*** 4:0.6-2ubuntu3~lucid0 0
        500 http://ppa.launchpad.net/gma500/ppa/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
     4:0.5.1-1ubuntu1 0
        500 http://gr.archive.ubuntu.com/ubuntu/ lucid/main Packages
My blog|Κυπριακή Κοινότητα Ελευθέρου Λογισμικού Λογισμικού ανοικτού Κώδικα
Γνώσεις Linux:Ποτέ αρκετές|Προγραμματισμός: Php, javascript, nodejs, python, bash |Aγγλικά:Καλά
Οι υπολογιστές μου:
Spoiler: show
Ubuntu 16.04 64 bit σεIntel(R) Pentium(R) CPU G4400 @ 3.30GHz, 16Gib Ram, 500Gib Hard Disk, και κάρτα γραφικών Nvidia Geforce GT610
Lubuntu 14.04 σε Dell Inspiron mini 10(1010) intel Atom Z500 1Gb ram και gma500 (εδώθη σε άλλον)
Kubuntu 16.04 Lenovo G70 Intel i5 Nvidia Grapgics Card, Intel Graphics card (έχει 2) με Nouveau, 16Gb RAM, 126GB SSD Σκληρό Δίσκο
Άβαταρ μέλους
pc_magas
powerTUX
powerTUX
 
Δημοσιεύσεις: 2593
Εγγραφή: 12 Απρ 2009, 18:55
Τοποθεσία: Αχαρναί Αττικής
Launchpad: pc_magas
IRC: pc_magas
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό medigeek » 11 Οκτ 2010, 01:45

Μάλλον πρόβλημα του ffmepg από το ppa είναι.
Το πρώτο που θα κάνεις είναι:
Κώδικας: Επιλογή όλων
aptitude search "~Ogma500"


..για να δούμε ποια πακέτα έχουν εγκατασταθεί από το ppa του gma500.
Κύπριος; Κόπιασε στο ubuntu-cy! ┃ Launchpad Debian Github
Οδηγός για νεοεισερχόμενους -- Αρχικές οδηγίες για αρχάριους χρήστες του Ubuntu

1 Γνώσεις Linux: Πολύ καλό ┃ Προγραμματισμού: Πολύ καλό ┃ Αγγλικών: Πολύ καλό
2 Ubuntu 12.10 quantal 3.5.0-21-generic 64bit (en_US.UTF-8, GNOME cinnamon2d), Ubuntu 3.5.0-19-generic, Windows 7
3 Intel Core2 Duo CPU E6550 2.33GHz ‖ RAM 5970 MiB ‖ MSI MS-7235
4 nVidia G73 [GeForce 7300 GT] [10de:0393] {nvidia}
5 eth0: Realtek RTL-8110SC/8169SC Gigabit Ethernet [10ec:8167] (rev 10)
Άβαταρ μέλους
medigeek
Freedom
Freedom
 
Δημοσιεύσεις: 5023
Εγγραφή: 24 Μάιος 2008, 14:49
Τοποθεσία: Σερβία/Κύπρος
Launchpad: medigeek
IRC: savvas
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό pc_magas » 11 Οκτ 2010, 15:50

@medigeek
Κώδικας: Επιλογή όλων
[spoiler]pcmagas@pcmagas-netbook:~$     aptitude search "~Ogma500"
i   ffmpeg                          - multimedia player, server and encoder     
i   ffmpeg-dbg                      - Debug symbols for ffmpeg related packages
p   ffmpeg-doc                      - documentation of the ffmpeg API           
p   libavcodec-dev                  - development files for libavcodec         
i   libavcodec52                    - ffmpeg codec library                     
p   libavdevice-dev                 - development files for libavdevice         
i A libavdevice52                   - ffmpeg device handling library           
p   libavfilter-dev                 - development files for libavfilter         
i A libavfilter1                    - ffmpeg video filtering library           
p   libavformat-dev                 - development files for libavformat         
i A libavformat52                   - ffmpeg file format library               
p   libavutil-dev                   - development files for libavutil           
i A libavutil50                     - ffmpeg utility library                   
p   libdrm-poulsbo-dev              - Userspace interface to kernel DRM services
i A libdrm-poulsbo1                 - Userspace interface to kernel DRM services
p   libdrm-poulsbo1-dbg             - Userspace interface to kernel DRM services
p   libpostproc-dev                 - development files for libpostproc         
i A libpostproc51                   - ffmpeg video postprocessing library       
p   libswscale-dev                  - development files for libswscale         
i A libswscale0                     - ffmpeg video scaling library             
p   libva-dev                       - Video Acceleration (VA) API for Linux -- d
i A libva1                          - Video Acceleration (VA) API for Linux -- r
p   libva1-dbg                      - Video Acceleration (VA) API for Linux -- r
i   mencoder                        - MPlayer's Movie Encoder                   
i   mplayer                         - movie player for Unix-like systems       
p   mplayer-dbg                     - debugging symbols for MPlayer             
i   mplayer-doc                     - documentation for MPlayer                 
i A poulsbo-config                  - Poulsbo configuration package             
i   poulsbo-driver-2d               - Metapackage for the 2D Poulsbo (psb) X11 d
i   poulsbo-driver-3d               - Metapackage for the 3D Poulsbo (psb) X11 d
p   ppa-purge                       - Disables a PPA and reverts to official pac
i A psb-firmware                    - Binary firmware for the Poulsbo (psb) 3D X
i A psb-kernel-source               - Kernel module for the Poulsbo (psb) 2D X11
i A xpsb-glx                        - X11 drivers for Poulsbo (psb) 3D accelerat
p   xpsb-glx-dbg                    - X11 drivers for Poulsbo (psb) 3D accelerat
i A xserver-xorg-video-psb          - X.Org X server -- Intel Poulsbo (2D)     
p   xserver-xorg-video-psb-dbg      - X.Org X server -- Intel Poulsbo (2D) [/spoiler]
My blog|Κυπριακή Κοινότητα Ελευθέρου Λογισμικού Λογισμικού ανοικτού Κώδικα
Γνώσεις Linux:Ποτέ αρκετές|Προγραμματισμός: Php, javascript, nodejs, python, bash |Aγγλικά:Καλά
Οι υπολογιστές μου:
Spoiler: show
Ubuntu 16.04 64 bit σεIntel(R) Pentium(R) CPU G4400 @ 3.30GHz, 16Gib Ram, 500Gib Hard Disk, και κάρτα γραφικών Nvidia Geforce GT610
Lubuntu 14.04 σε Dell Inspiron mini 10(1010) intel Atom Z500 1Gb ram και gma500 (εδώθη σε άλλον)
Kubuntu 16.04 Lenovo G70 Intel i5 Nvidia Grapgics Card, Intel Graphics card (έχει 2) με Nouveau, 16Gb RAM, 126GB SSD Σκληρό Δίσκο
Άβαταρ μέλους
pc_magas
powerTUX
powerTUX
 
Δημοσιεύσεις: 2593
Εγγραφή: 12 Απρ 2009, 18:55
Τοποθεσία: Αχαρναί Αττικής
Launchpad: pc_magas
IRC: pc_magas
Εκτύπωση

Re: Πρόβλημα με το ffmpeg

Δημοσίευσηαπό medigeek » 11 Οκτ 2010, 16:40

Κράτα backup τα σημαντικά σου αρχεία. Θα αντικαταστήσουμε πακέτο/α που μπορεί να είναι σημαντικό/ά.

Εξ' αρχής να σου πω ότι δε γνωρίζω τι είναι τα πακέτα "poulsbo" ή τι ειναι το driver "psb".

Από το "apt-cache policy" είδαμε ότι έχει μια έκδοση πακέτου που υπάρχει στα official αποθετήρια ubuntu, η "4:0.5.1-1ubuntu1".
Γι' αυτό δοκίμασε να εκτελέσεις:

Κώδικας: Επιλογή όλων
sudo aptitude install ffmpeg=4:0.5.1-1ubuntu1


..για να εγκαταστήσεις τη συγκεκριμένη έκδοση. Το aptitude θα σου προσφέρει λύσεις ("να αντικαταστήσω αυτό, να σβήσω το άλλο και να κρατήσω το τρίτο"..). Δίνεις "Y" σε όποια σου κάνει περισσότερο νόημα. Αλλιώς, αν δεις και σβήνει κάτι που είναι σημαντικό, δίνεις "Ν" είτε "Q" (quit) και δίνεις το αποτέλεσμα εδώ να το αναλύσουμε. :)

Συνήθως η πρώτη λύση είναι ασφαλής.

Σε προειδοποιώ πως θα αντικατασταθούν/αφαιρεθούν τουλάχιστον 2-3 πακέτα.



Όταν αντικατασταθούν τα πακέτα, το επόμενο βήμα είναι να απενεργοποιήσεις το ppa gma500. Το βρίσκεις στο System > Administration > Software sources > Third party software, επιλέγεις το ppa και πιέζεις το "Remove" > "Close" > "Reload".

Τέλος, για να είσαι σίγουρος πως δεν έγινε καμια γκάφα, εκτέλεσε:

Προσοχή με την εντολή dpkg -P! Μην την εκτελείτε αυθαίρετα αν δεν έχετε τις κατάλληλες γνώσεις.


Κώδικας: Επιλογή όλων
sudo dpkg -P --force-all ubuntu-desktop ubuntu-standard ubuntu-minimal ubuntu-restricted-extras
sudo aptitude install ubuntu-desktop ubuntu-standard ubuntu-minimal ubuntu-restricted-extras
sudo aptitude -f install


Το πιο πιθανό είναι να σου προσφέρει μερικά πακέτα για εγκατάσταση.

Μετά από αυτό, δώσε μια επανεκκίνηση, για να είσαι σίγουρος πως όλα πήγαν ομαλά.
Κύπριος; Κόπιασε στο ubuntu-cy! ┃ Launchpad Debian Github
Οδηγός για νεοεισερχόμενους -- Αρχικές οδηγίες για αρχάριους χρήστες του Ubuntu

1 Γνώσεις Linux: Πολύ καλό ┃ Προγραμματισμού: Πολύ καλό ┃ Αγγλικών: Πολύ καλό
2 Ubuntu 12.10 quantal 3.5.0-21-generic 64bit (en_US.UTF-8, GNOME cinnamon2d), Ubuntu 3.5.0-19-generic, Windows 7
3 Intel Core2 Duo CPU E6550 2.33GHz ‖ RAM 5970 MiB ‖ MSI MS-7235
4 nVidia G73 [GeForce 7300 GT] [10de:0393] {nvidia}
5 eth0: Realtek RTL-8110SC/8169SC Gigabit Ethernet [10ec:8167] (rev 10)
Άβαταρ μέλους
medigeek
Freedom
Freedom
 
Δημοσιεύσεις: 5023
Εγγραφή: 24 Μάιος 2008, 14:49
Τοποθεσία: Σερβία/Κύπρος
Launchpad: medigeek
IRC: savvas
Εκτύπωση

Επόμενο

  • ΣΧΕΤΙΚΑ ΘΕΜΑΤΑ
    ΑΠΑΝΤΗΣΕΙΣ
    ΠΡΟΒΟΛΕΣ
    ΣΥΓΓΡΑΦΕΑΣ

Επιστροφή στο Κάρτες Ήχου / Ήχος